<h2>Seznam menu</h2>
<div ng-repeat="messageItem in model.flashMessages">
	<div class="alert success">{{messageItem.message}}</div>
</div>
<md-table-container>
<table md-table md-progress="model.promise" class="menusTable">
	<thead md-head md-order="model.query.order">
		<tr md-row>		    
			<th md-column md-order-by="id"><span>#Id</span></th>
			<th md-column md-order-by="name"><span>Name</span></th>
			<th md-column class="actionsColumnHeader">Actions</th>
		</tr>
	</thead>
	<tbody md-body>
		<tr md-row md-select="menu" md-select-id="id" md-auto-select
			ng-repeat="menu in model.menus | orderBy:model.query.order | limitTo:model.query.limit: (model.query.page -1) * model.query.limit">
			<td md-cell>{{menu.id}}</td>
			<td md-cell>{{menu.name}}</td>
			<td md-cell class="actionsCell"><a href=''
				ng-click="editMenu(menu, $event)">Edit</a></td>
		</tr>
	</tbody>
</table>
</md-table-container>
<md-table-pagination md-limit="model.query.limit"
	md-limit-options="[5, 10, 15]" md-page="model.query.page"
	md-total="{{model.menus.length}}" md-on-paginate="getmenus"
	md-page-select></md-table-pagination>